Metrics monthly
This route allows you to get the cashbacks of a specific consumer, ventilated per status and per month. Cashback Status are :
- PENDING Cashback has been generated, but is not yet validated (PENDING_VALIDATION) total_pending_cashback_amount
- VALIDATED A cashback that has passed the validation period (e.g. 14 days of retraction for a classical purchase). The cashback can’t be cancelled when validated total_validated_cashback_amount
- PAID_IN Cashback money has been collected from the merchant, but not yet transfered (paid out) to the consumer. total_paid_in_cashback_amount
- PAID_OUT Cashback money has been transfered to the consumer pay out account. total_paid_out_cashback_amount
- CANCELLED The cashback has been cancelled. total_cancelled_cashback_amount We also return the total number of cashbacks since user acceptance of the terms of services and the total amount of cashback, whatever the status is. Dont compute cancelled cashbacks in total amount and total cashbacks This is especially useful for programs with cagnotte, allowing to show how much money have been collected so far, but not yet transferred to the consumer.
GET
Metrics monthly
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id you used to create the given consumer
Response
OK
Object creation datetime
Example:
"2018-12-26T13:45:36.173196+00:00"
Number of cashbacks
Example:
34
Sum of cashback amounts
Example:
438.12
Sum of paid in cashback amounts
Example:
1456.32
Sum of paid out cashback amounts
Example:
135.83
Sum of pending cashback amounts
Example:
76.3
Sum of validated cashback amounts
Example:
246.78
Previous
Offers Consumer Listing
Gets a paginated list of all offers available for the current consumer: generic
offers + offers where this consumer is targeted.
For all your logged consumers, you must actually use this route to retrieve
the best set of offers dedicated to each consumer.
This list can be filtered by offer types, start date, end date, universe, highlight
level...
The list contains all the active offers (status = ACTIVE) and offers to come (status
= PUBLISHED).
This list is sorted by default using the conversion probability computed by our internal smart ranking engine.
Pagination of 20 items by default.
Next
Metrics monthly